mas-mailbox:
  archiving-exclusions: # Configuration to exclude mails from archiving. Applyies to exchange online & onprem
    #exclusion-category: Skipped # Mails are marked with this category if they are matching an exclusion rule and were excluded from archiving
    #subject-keywords: keyword1,keyword2 # List of case-insensitive subject keywords or phrases. If any of the configured keywords is included in the subject the mail will be excluded from archiving
    #mailboxes: sample_one@test.org,sample_two@test.org # List of case-insensitive mailboxes. If any of the configured mailboxes is involved in a mail (FROM, TO, CC), the mail will be excluded from archiving.
  on-prem: # Exchange on-prem specific configuration
    attachment-extraction:
      mode: NONE # Specifies the mode of attachment extraction. Possible values are NONE, LINKS, FILES or BOTH
      delay: 0 # Delay before attachments are extracted from successfully archived emails in mailboxes. Value can be in days D|10 months M|6 or years Y|3. Value '0' triggers immediate extraction when mail is archived
      schedule: '0 0 3 * * *' # Cron job value that schedules attachment extraction of archived mails (if delay is not 0). The default is set to run daily at 3 AM
      categories:
        success: AttExtracted # Category mails are marked with after successful attachment extraction
        error: AttNotExtracted # Category mails are marked with in case of failure during extractíon of attachment
    journaling:
      mailboxes: # Onprem journaling backup mailboxes with details about folder to read from and expected type of messages, sample of multiple entries:
        #- mailbox: sample_mail_one@mail.com # Address of backup mailboxes
        #  read-folder: Inbox # Folder name from which mails should be pulled
        #  message-mode: ALTERNATE # Type of mails. Set alternate mailbox (ALTERNATE), journaling mailbox (JOURNAL) or ordinary mailbox (NORMAL)
        #- mailbox: sample_mail_two@mail.com
        #  read-folder: Posteingang
        #  message-mode: NORMAL
    archiving:
      mailboxes: # Onprem user mailboxes for archiving, sample of multiple entries:
        #- sample_one@test.org
        #- sample_two@test.org
      groups: # Onprem group names for archiving, sample of multiple entries:
        #- GroupName1
        #- GroupName2
      #whitelist: Inbox,Sent # Comma separated values of mailbox folders that should be archived
      #blacklist: CustomFolder,MyFolder # Comma separated values of mailbox folders that should be omitted from archiving
      rules: # Archiving rules to limit archiving based on mail properties
        #mail-date: BEFORE|dd-mm-yyyy # Archive only mails before or after a certain date. Use BEFORE|dd-mm-yyyy or AFTER|dd-mm-yyyy
        #mail-size: LT|10 # Archive only mails less-than or grater-equal than a defined MB size. Examples with 10MB: LT|10 or GTE|10 
        #mail-state: ALL # Archive only mails with configured read state. Possible values are: ALL, READ, UNREAD
      retention-policy:
        #age-condition: Y|3 # If this property is configured, automatically delete successfully archived mails which are older than configured value. Value can be in days D|10 months M|6 or years Y|3
        #deletion-schedule: '0 0 2 * * *' # Cron schedule for when deletion of mails is executed (mails which are older than age-condition configuration). Default 02:00AM
    categories:
      archived: Archived # Category mails are marked with after successfully being archived
      error: Error # Category mails are marked with in case of failure during archiving
    health-cache-duration: 6 # Hourly time interval on which health check resolves onprem mailboxes from active directory
  attachment-extraction:
    mode: NONE # Specifies the mode of attachment extraction. Possible values are NONE, LINKS, FILES or BOTH
    delay: 0 # Delay before attachments are extracted from successfully archived emails in mailboxes. Value can be in days D|10 months M|6 or years Y|3. Value '0' triggers immediate extraction when mail is archived
    schedule: '0 0 3 * * *' # Cron job value that schedules attachment extraction of archived mails (if delay is not 0). The default is set to run daily at 3 AM
    categories:
      success: AttExtracted # Category mails are marked with after successful attachment extraction
      error: AttNotExtracted # Category mails are marked with incase of failure during extractíon of attachment
  journaling:
    mailboxes: # Online journaling backup mailboxes with details about folder to read from and expected type of messages
      #- mailbox: sample_mail_one@mail.com # Address of backup mailboxes
      #  read-folder: Inbox # Folder name from which mails should be pulled
      #  message-mode: ALTERNATE # Type of mails. Set alternate mailbox (ALTERNATE), journaling mailbox (JOURNAL) or ordinary mailbox (NORMAL)
      #- mailbox: sample_mail_two@mail.com
      #  read-folder: Posteingang
      #  message-mode: NORMAL
  archiving:
    mailboxes: # Online user mailboxes for archiving, sample of multiple entries:
      #- sample_one@test.org
      #- sample_two@test.org
    groups: # Online group names for archiving, sample of multiple entries:
      #- GroupName1
      #- GroupName2
    #whitelist: Inbox,Sent # Comma separated values of mailbox folders that should be archived
    #blacklist: CustomFolder,MyFolder # Comma separated values of mailbox folders that should be omitted from archiving
    rules: # Archiving rules to limit archiving based on certain mail properties
      #mail-date: BEFORE|dd-mm-yyyy # Archive only mails before or after a certain date. Use BEFORE|dd-mm-yyyy or AFTER|dd-mm-yyyy
      #mail-size: LT|10 # Archive only mails less-than or grater-equal than a defined MB size. Examples with 10MB: LT|10 or GTE|10 
      #mail-state: ALL # Archive only mails with configured read state. Possible values are: ALL, READ, UNREAD
    retention-policy:
      #age-condition: Y|3 # If this property is configured, automatically delete successfully archived mails which are older than configured value. Value can be in days D|10 months M|6 or years Y|3
      #deletion-schedule: '0 0 2 * * *' # Cron schedule for when deletion of mails is executed (mails which are older than age-condition configuration). Default 02:00AM
  categories:
    archived: Archived # Category mails are marked with after successfully being archived
    error: Error # Category mails are marked with in case of failure during archiving of the mail
  health-cache-duration: 6 # Hourly time interval on which health check resolves online mailboxes from active directory